Logical Router Name is not Updated in Contrail GUI

Bug #1704794 reported by Anda Nicolae on 2017-07-17
14
This bug affects 3 people
Affects Status Importance Assigned to Milestone
Juniper Openstack
Status tracked in Trunk
R3.2
Medium
Rajiv Sah
R4.0
Medium
Rajiv Sah
Trunk
Medium
Rajiv Sah
OpenContrail
Medium
Rajiv Sah

Bug Description

Hi all,

I am using Contrail version 3.2.4.0. I have a setup with 3 VMs: 1st VM is the Openstack node, the 2nd VM is Contrail controller node and the 3rd VM is Contrail compute node.
CentOS is running on all the 3 VMs.

From Contrail GUI (Configure -> Networking -> Routers Tab), I have created a logical router, named router1.
I've noticed that Contrail GUI has both "name" and "display_name" for a logical router. What is shown in Configure -> Networking -> Routers Tab is the "name".
If I select a logical router and I edit it, I cannot change the name of the logical router.

But the name of the logical router can be changed using neutron commands.
In order to change the name of the logical router from router1 to router2, I have issued the following command on the Openstack node:
neutron router-update --name router2 router1

Now, the output of the "neutron router-list" command shows the updated name, router2.

However, Contrail GUI does not display the updated name. Contrail GUI still displays router1.

I have added logs in the code and I have noticed that "display_name" is router2, but name is router1. I think that "display_name" should appear in COntrail GUI, instead of "name".

Thanks,
Anda

Tags: ui Edit Tag help
Siva Bavanasi (kbsiva) on 2017-07-26
tags: added: ui
Changed in opencontrail:
assignee: nobody → Siva Bavanasi (kbsiva)
Siva Bavanasi (kbsiva) on 2017-08-07
Changed in opencontrail:
assignee: Siva Bavanasi (kbsiva) → Rajiv Sah (rajivks)
Rajiv Sah (rajivks) on 2017-08-11
Changed in opencontrail:
importance: Undecided → Medium

Review in progress for https://review.opencontrail.org/35401
Submitter: Rajiv Sah (<email address hidden>)

Rajiv Sah (rajivks) on 2017-09-12
Changed in opencontrail:
status: New → In Progress

Reviewed: https://review.opencontrail.org/35401
Committed: http://github.com/Juniper/contrail-web-controller/commit/21ce118d2165bf0eacf7db5368a8851f03d6a415
Submitter: Zuul (<email address hidden>)
Branch: master

commit 21ce118d2165bf0eacf7db5368a8851f03d6a415
Author: rajivks <email address hidden>
Date: Fri Aug 11 15:26:55 2017 +0530

Logical router name is not updated in contrail GUI

1. I have added Display Name on grid row expansion.

2. In the router popup during edit case name input filed was
disable, as per the bug made it editable. So, user can update name it
will update the display name automatically.

Change-Id: I01e9b257c17db4d5aa6eba79b24d4b5564200754
Closes-Bug: #1704794

Anda Nicolae (anicolae) wrote :

Hi all,

Thank you for submitting a fix for this issue. Can you please merge this fix in R3.2 branch?

Review in progress for https://review.opencontrail.org/35899
Submitter: Rajiv Sah (<email address hidden>)

Review in progress for https://review.opencontrail.org/35900
Submitter: Rajiv Sah (<email address hidden>)

Reviewed: https://review.opencontrail.org/35899
Committed: http://github.com/Juniper/contrail-web-controller/commit/eb3cb940fe9bcbac2b2abc8bbe9bed0a5a1af3c3
Submitter: Zuul (<email address hidden>)
Branch: R3.2

commit eb3cb940fe9bcbac2b2abc8bbe9bed0a5a1af3c3
Author: rajivks <email address hidden>
Date: Fri Aug 11 15:26:55 2017 +0530

Logical router name is not updated in contrail GUI

1. I have added Display Name on grid row expansion.

2. In the router popup during edit case name input filed was
disable, as per the bug made it editable. So, user can update name it
will update the display name automatically.

Change-Id: I01e9b257c17db4d5aa6eba79b24d4b5564200754
Closes-Bug: #1704794
(cherry picked from commit 21ce118d2165bf0eacf7db5368a8851f03d6a415)

Anda Nicolae (anicolae) wrote :

Hi Rajiv,

Thanks for the submitted fix and for integrating it in R3.2.
However, I do not think that the problem is entirely fixed. Indeed, with the fix we can change the logical router's name from Contrail GUI.

However, if the user wants to automate the operations and he/she uses some neutron commands to change router's name, the bug is reproducible.

There should be a mechanism such that OpenStack notifies Contrail whenever an entity has changed (in this case, the entity is a router's name).

Thanks,
Anda

Reviewed: https://review.opencontrail.org/35900
Committed: http://github.com/Juniper/contrail-web-controller/commit/39fbbfad0d9b39834511481df9bcb355fa4c8593
Submitter: Zuul (<email address hidden>)
Branch: R4.0

commit 39fbbfad0d9b39834511481df9bcb355fa4c8593
Author: rajivks <email address hidden>
Date: Fri Aug 11 15:26:55 2017 +0530

Logical router name is not updated in contrail GUI

1. I have added Display Name on grid row expansion.

2. In the router popup during edit case name input filed was
disable, as per the bug made it editable. So, user can update name it
will update the display name automatically.

Change-Id: I01e9b257c17db4d5aa6eba79b24d4b5564200754
Closes-Bug: #1704794
(cherry picked from commit 21ce118d2165bf0eacf7db5368a8851f03d6a415)

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers